## org.eclipse.m2m.atl.debug.core
Class AtlCoreDebugPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.m2m.atl.debug.core.AtlCoreDebugPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class AtlCoreDebugPlugin

extends org.eclipse.core.runtime.Plugin

The main plugin class to be used in the desktop.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`AtlCoreDebugPlugin()` The constructor.

Method Summary
`static AtlCoreDebugPlugin` `getDefault()` Returns the shared instance.
`java.util.ResourceBundle` `getResourceBundle()` Returns the plugin's resource bundle.
`static java.lang.String` `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`static java.lang.String` `getUniqueIdentifier()` Returns the unique identifier of the plugin.

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtlCoreDebugPlugin

    public AtlCoreDebugPlugin()

  The constructor.

Method Detail

### getDefault

    public static AtlCoreDebugPlugin getDefault()

  Returns the shared instance.

  Returns:
    the shared instance.

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

  Parameters:
    `key` - the default value
  Returns:
    the string from the plugin's resource bundle, or 'key' if not found

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle.

  Returns:
    the plugin's resource bundle

### getUniqueIdentifier

    public static java.lang.String getUniqueIdentifier()

  Returns the unique identifier of the plugin.

  Returns:
    the unique identifier of the plugin

Copyright 2007 IBM Corporation and others. All Rights Reserved.